%define	extraver	-050330

Summary:	Enhanced IP routing and network devices configuration tools
Name:		iproute2
Group:		Applications/System
License:	GPL
Version:	2.6.11
Release:	2
Source:		http://developer.osdl.org/dev/iproute2/download/%{name}-%{version}%{extraver}.tar.gz
Provides:	iproute
Obsoletes:	iproute
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root

%description
Linux 2.2 maintains compatibility with the basic configuration utilities of
the network (ifconfig, route) but a new utility is required to exploit the new
characteristics and features of the kernel. This package includes the new
utilities (/sbin/ip, /sbin/rtmon).

%files
  %defattr(0444,root,root,0555)
  %doc README.decnet README.iproute2+tc RELNOTES examples
  %doc %{_mandir}/man3/*
  %doc %{_mandir}/man8/*

  %attr(0640,root,admin)	%config %{_sysconfdir}/iproute2/*
  %attr(0640,root,admin)	%{_libdir}/tc/*
  %attr(0510,root,admin)	%{_sbindir}/*

%prep
%setup -q -n iproute2-%{version}%{extraver}

%build
  %configure
  make %{?_smp_mflags}

%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

  %makeinstall DESTDIR=$RPM_BUILD_ROOT

  # Fix symlinks
  pushd $RPM_BUILD_ROOT/%{_mandir}/man8
    rm -f tc-pfifo.8; ln -sf tc-pbfifo.8 tc-pfifo.8
    rm -f tc-bfifo.8; ln -sf tc-bbfifo.8 tc-bfifo.8
  popd

%ifarch x86_64
  mkdir $RPM_BUILD_ROOT/%{_libdir}
  mv $RPM_BUILD_ROOT/%{_prefix}/lib/* $RPM_BUILD_ROOT/%{_libdir}
%endif

  # Remove unpackaged files.
  rm -rf $RPM_BUILD_ROOT/usr/share/doc/iproute2

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Jul 26 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 2.6.11, Release 2
  - Make x86_86 friendly.

* Tue Jun 29 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 2.6.11, Release 1
  - Initial build for EnGarde Secure Linux 3.0.
